package com.happy.service;

import com.alibaba.fastjson.JSONObject;
import com.happy.Model.Holiday;
import com.happy.Model.HouseNumberStatus;
import com.happy.dto.HouseNumberStatusDto;

import java.util.List;

public interface HouseNumberStatusService {
    int deleteHolidayByYear(String year);

    int saveHolidayBatch(List<Holiday> list);

    List<Holiday> queryHolidays(String year, String startDate, String endDates);

    int saveBatch(List<HouseNumberStatus> list);

    int updateHouseNumberStatus(String bookId);

    List<HouseNumberStatus> getList(String sqlx);
    /**
     * 表格数据 房态管理-房态管理
     */
    JSONObject queryData(HouseNumberStatusDto houseNumberStatusDto,Integer pageNumber, Integer pageSize);

    /**
     * 查询可置脏/净、可开/关的房型及房间号 房态管理-房态管理
     */
    List<?> queryListWithHouse(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 批量开/关房
     */
    void modifyStatusBatch(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 置脏/净、批量开/关房
     */
    void modifyStatus(HouseNumberStatusDto houseNumberStatusDto);
}
